Show / Hide Table of Contents

# Class StdioClientChannel

Provides a client implementation for the standard I/O channel. Launches the server process and then attaches to its console streams.

##### Inheritance

System.Object
ChannelBase
StdioClientChannel

##### Inherited Members

ChannelBase.IsConnected
ChannelBase.MessageReader
ChannelBase.MessageWriter
ChannelBase.Start(MessageProtocolType)
ChannelBase.Stop()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol.Channel

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class StdioClientChannel : ChannelBase

### Constructors

| Improve this Doc View Source

#### StdioClientChannel(String, String[])

Initializes an instance of the StdioClient.

##### Declaration

    public StdioClientChannel(string serverProcessPath, params string[] serverProcessArguments)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | serverProcessPath | The full path to the server process executable.
System.String[] | serverProcessArguments | Optional arguments to pass to the service process executable.

### Properties

| Improve this Doc View Source

#### ProcessId

Gets the process ID of the server process.

##### Declaration

    public int ProcessId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Initialize(IMessageSerializer)

##### Declaration

    protected override void Initialize(IMessageSerializer messageSerializer)

##### Parameters

Type | Name | Description
--- | --- | ---
IMessageSerializer | messageSerializer |

##### Overrides

ChannelBase.Initialize(IMessageSerializer)
| Improve this Doc View Source

#### Shutdown()

##### Declaration

    protected override void Shutdown()

##### Overrides

ChannelBase.Shutdown()
| Improve this Doc View Source

#### WaitForConnection()

##### Declaration

    public override Task WaitForConnection()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Overrides

ChannelBase.WaitForConnection()